
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

// Khan.h : main header file for the KHAN application
//

#if !defined(AFX_KHAN_H__023C3A79_52B1_4498_BEAA_87BDF6AB2775__INCLUDED_)
#define AFX_KHAN_H__023C3A79_52B1_4498_BEAA_87BDF6AB2775__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include <afxmt.h>
#include "Doc.h"			// for CDoc pointer
#include "DataView.h"		// for CDataView pointer


/////////////////////////////////////////////////////////////////////////////
// CApp:
// See Khan.cpp for the implementation of this class
//

class CApp : public CWinApp
{
public:
	CApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApp)
	public:
	virtual BOOL InitInstance();
	virtual int Run();
	virtual LRESULT ProcessWndProcException(CException* e, const MSG* pMsg);
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CApp)
	afx_msg void OnAppAbout();
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Globals

public:
	CString	m_curDirectory;			// see InitInstance()
	CDoc *	m_pDoc;					// Pointer to CDoc.
//	CDataView * m_pDataView;		// Pointer to CDataView
	HWND	m_hwndView;				// Handle to CDataView
	HWND	m_hwndControlBar;		// Handle to CControlBar
	HWND	m_hwndTreeDlg;			// Handle to Tree Dlg
	HWND	m_hwndDownloadDlg;		// Handle to Download Dlg
	HWND	m_hwndSearchDlg;		// Handle to Search Dlg		10/04/2017 search
	HWND	m_hwndSplitter;			// Handle to CSplitterView
	HWND	m_hwndTabView;			// Handle to CTabView

	CRect	m_downloadDlgRect;
	CRect	m_treeDlgRect;
	CRect	m_updateDlgRect;
	CRect	m_searchDlgRect;		// 10/04/2017 search

	// String Buffer for Worker Thread messages.
public:
	BOOL GetThreadMessage(CString & str); 
	void SetThreadMessage(const CString & str);

	// Overloaded 12/13/14
	BOOL GetThreadMessage(CString & errMsg, DWORD & errCode, int & retCode); 
	void SetThreadMessage(const CString & errMsg, const DWORD & errCode, const int & retCode);

	// Application Data path.
	CString GetAppDataFolder();
//	CString GetUserSettingsFolder();
	BOOL	GetUserSettingsFolder(CString & path); // rework



private:
	CCriticalSection m_critSection ;
	CString m_strBuff;
	CString m_errMsg;	// 12/13/14
	DWORD	m_errCode;
	int		m_retCode;

};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KHAN_H__023C3A79_52B1_4498_BEAA_87BDF6AB2775__INCLUDED_)
